Skip to content

API Tokens

All paths below are relative to the base URL https://api.agentdepot.org — for example GET https://api.agentdepot.org/api/tokens. Authenticate with an Authorization: Bearer <token> header. See the REST API reference for details.

List Tokens

List all API tokens for the current user.

Responses

StatusDescriptionBody
200Successful ResponseTokenListResponse
422Validation ErrorHTTPValidationError

Create Token

Create a new API token.

The plain token is only returned once in this response. Store it securely - it cannot be retrieved again.

Request body (required)

FieldTypeRequiredDescription
descriptionstringno
namestringyes
scopestringno

Responses

StatusDescriptionBody
201Successful ResponseCreateTokenResponse
422Validation ErrorHTTPValidationError

Revoke Token

Revoke an API token.

Parameters

NameInTypeRequiredDescription
token_idpathstring (uuid)yes

Responses

StatusDescriptionBody
204Successful Response
422Validation ErrorHTTPValidationError